/* ================================ */
/*         IMPORTS                 */
/* ================================ */
@import url(https://tds.bwelz.org/twinkle-icons/v1.8.0/twinkle-icons-v1.8.0.css?Expires=1895244295&Signature=OtI66xhB-rtWxopw0fWrKP~uLI84a01U47F0FPySpwUPiOrYE42SDawngbK1TOEden9eNSBuceVMLTAxWVgQfHDQnzziZQqnnkKUYcxrtn4WZvq7fosE23hmT0h7m8JtFkS4icTz77-PUs9W3SbDDfabEnQ1AWxoZ3hQ90uWUusgA4OA0b-Ps6NeDwOH4NtcD4qXeMHbF36xnxlrXO1EabvCKd1yHPuex7o~zaGtT9ftlVRnMeCLqSQunvyvNMohkQsjLmxwjPV2C6MKsk8CbDynqCAsbJrv5PGwLH5IZVQiQCj8zaF8PN31FjM3lp2O0~73JCUMonjaBglFz6~~Fw__&Key-Pair-Id=K1PPZDIOWN47R1);


/* ================================ */
/*         GENERAL STYLES           */
/* ================================ */
body {
    margin: 0;
    font-family: Arial, sans-serif;
}

.layout-container{
    position: relative;
    display: flex;
    flex-direction: column;
    flex: 1 0 100%;
}
a {
    color: #007bff;
    text-decoration: none;
}

/* ================================ */
/*         HEADER STYLES            */
/* ================================ */
#header {
    position: sticky;
    z-index: 2000;
    top: 0;
    background-color: #ffffff;
    box-sizing: border-box;
    box-shadow: 0 0 40px 0px rgba(0, 0, 0, .11);
}

#header .logo {
    height: 32px;
}
.search-bar {
    width: calc(100% - 180px);
    box-sizing: border-box;
}

.search-bar input {
    width: 100%;
    padding: 8px;
    font-size: 16px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
}

#header input {
    flex: 1;
    margin-right: 10px;
    padding: 8px;
    border: 1px solid #ddd;
    border-radius: 4px;
}


/* ================================ */
/*         LAYOUT STRUCTURE         */
/* ================================ */
.splitView {
    display: grid;
    grid-template-columns: 100% auto;
    height: calc(100vh - 80px);
}
.splitView.fullwidth {
    grid-template-columns: repeat(1, 1fr);
}

/* ================================ */
/*         SIDEBAR STYLES           */
/* ================================ */
#sidebar {
    position: relative;
    overflow-y: scroll;
    max-height: calc(100vh - 80px);
    display: flex;
    flex-direction: column;
}


#sidebar .title {
        display: flex;
        align-items: center;
        font-weight: 600;
        font-size: 22px;
        color: #1a1816;
        white-space: nowrap;
        text-overflow: ellipsis;
        padding: 24px 16px 0;
}
#sidebar .title h1 {
    margin: 0;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 24px;
    line-height: 32px;
}
#sidebar .info {
        display: flex;
        padding: 12px 16px 0;
}
.no-results {
    text-align: center;
    color: #666;
    padding: 20px;
    font-size: 16px;
    background-color: #f9f9f9;
    border: 1px solid #ddd;
    border-radius: 5px;
}

/* ================================ */
/*         LIST / MAP               */
/* ================================ */

.locationsListMap {
    grid-template-columns: minmax(0, 1fr);
}

.locationsList {
    grid-template-columns: minmax(0, 1fr);
}

/* ================================ */
/*         MAP STYLES               */
/* ================================ */

#map {
    max-height: calc(100vh - 80px);
    overflow: hidden;
}

/* ================================ */
/*         LOCATION ITEMS           */
/* ================================ */
#locations {
    display: grid;
    padding: 16px;
    grid-gap: 1em;
    list-style-type: none;
}

.location-item, .leaflet-popup-content-wrapper  {
    padding: 24px;
    border: 1px solid #ccc;
    cursor: pointer;
    border-radius: 16px;
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.leaflet-popup-content {
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 6px;
}

.leaflet-popup-content h3 {
    font-size: 16px;
    margin: 0;
    text-overflow: ellipsis;
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
}
.leaflet-container a.leaflet-popup-close-button {
    position: absolute;
    top: 4px;
    right: 4px;
}

.location-item [class^="tw-icon-"], .location-item [class*=" tw-icon-"] {
    font-size: 20px;
    line-height: 20px;
    margin-left: -2px;
}


.location-item:hover {
    border: 1px solid #007BFF;
}

.location-item.highlighted {
    border: 1px solid #007BFF;
}
.location-item h3, .location-item p {
    margin: 0;
    padding: 0;
}

.location-item h3 {
    font-size: 18px; /* Adjust heading size */
}

.location-item p {
    font-size: 14px; /* Adjust paragraph size */
}

.info-row {
    display: flex;
    align-items: start;
    margin: 0;
    gap:16px;
    line-height: 20px;
    border-top: 1px solid #eee;
    padding-top: 8px;
}

.info-divider {
    width: 1px;
    background-color: #eee;
    height: 20px;
}

.info-label {
    display: flex;
    align-items: center;
    font-weight: bold;
}

.info-icon {
    font-size: 18px; /* Ajusta el tamaño del ícono */
}


.view-more {
    padding-top: 16px;
    border-top: 1px solid #eee;
    margin-top: 4px;
}

.location-address, .location-phone {
    display: flex;
    align-items: center;
    gap: 8px;
}


.truncate-line {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}


.leaflet-popup {
    bottom: 44px !important;
}
.location-item.selected {
    outline: 2px solid #007bff;
    border: 2px solid #007bff;
    background-color: #e9f5ff;
    transition: all 0.2s ease-in-out;
}

.leaflet-marker-icon-selected {
    border: 3px solid red;
}


/* ================================ */
/*         DETAILS PAGE STYLES      */
/* ================================ */
#details-page {
    margin: 0;
    font-family: Arial, sans-serif;
}

#details-page h1, #details-page h2, #details-page h3 {
    margin-bottom: 16px;
}
#details-page h2 {
    border-top: 1px solid #eee;
    padding-top: 32px;
    margin-top: 0;
}

#details {
    margin: 0 auto;
    max-width: 800px;
    margin-bottom: 20px;
    padding: 20px;
    line-height: 1.4;
}

#mapDetails {
    width: 100%;
    height: 240px; /* Adjust as needed */
    overflow: hidden;
}

#details .info-row {
    margin: 0;
    padding: 12px 16px;
    gap: 8px;
    margin: 0 -16px;
}
#details .location-address, #details .location-phone {
    margin: 0;
    padding: 0 0 12px 0;
    gap: 8px;
}
#details .location-phone {
    margin-bottom: 24px;
}

.classroom-container {
    padding: 20px 16px 20px 16px;
    border: 1px solid #eee;
    border-radius: 16px;
    margin: 0 -16px 16px;
}
.classroom-container h3 {
    padding-top: 0;
    margin: 0;

}
.classroom-container p {
    margin: 8px 0;
}
ul.instructors-list {
    margin: 0;
    padding: 0;
    text-indent: 4px;
    padding-left: 12px;
}

/* ================================ */
/*         RESPONSIVE STYLES        */
/* ================================ */

@media (min-width: 768px) {
    
}

@media (min-width: 1301px) {
    
}


@media only screen and (min-width: 991px) {
    .locationsListMap {
        grid-template-columns: repeat(1, minmax(0, 1fr));
    }
    .listView .locationsListMap {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
    
}
@media only screen and (min-width: 1920px) {
    .locationsListMap {
        grid-template-columns: repeat(2, minmax(0, 1fr));
    }
    .listView .locationsListMap {
        grid-template-columns: repeat(3, minmax(0, 1fr));
    }    
}

/* ================================ */
/*         LIST VIEW        */
/* ================================ */
.brand {
    height: 50px;
    padding: 0 16px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid rgb(211, 207, 202);
}
.search-filters {
    height: 80px;
    padding: 0 16px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#sidebar {
    height: calc(100vh - 80px - 50px);
    position: absolute;
    top: calc(80px + 50px);
    left: 0vw;
    width: 100vw;
    z-index: 1;
    background: white;
}
.listView #sidebar {
    width: 100vw;
    z-index: 2;
}
#map {
    height: calc(100vh - 80px - 50px);
    position: absolute;
    top: calc(80px + 50px);
    left: 0vw;
    width: 100vw;
    z-index: 2;
}
.listView #map {
    z-index: 1;
}

@media only screen and (min-width: 991px) {
    .search-bar {
        width: calc(100% - 50%);
    }
    #sidebar {
        height: calc(100vh - 80px - 50px);
        position: absolute;
        top: calc(80px + 50px);
        left: 0vw;
        width: 50vw;
        z-index: 2;
        background: white;
    }
    .listView #sidebar {
        width: 100vw;
        z-index: 2;
    }
    #map {
        height: calc(100vh - 80px - 50px);
        position: absolute;
        top: calc(80px + 50px);
        left: 50vw;
        width: 50vw;
        z-index: 1;
    }

}

@media only screen and (min-width: 1300px) {
    .search-bar {
        width: calc(100% - 75%);
    }
}

.search-bar {
    -webkit-box-align: center;
    align-items: center;
    background-color: rgb(255, 255, 255);
    border: 1px solid rgb(114, 106, 96);
    border-radius: 40px;
    box-shadow: none;
    gap: 4px;
    height: 48px;
    padding-left: 16px;
    padding-right: 4px;
}
.search-bar #search {
    background-color: transparent;
    border: none;
    -webkit-box-flex: 1;
    flex-grow: 1;
    font-size: 16px;
    font-weight: 400;
    height: calc(44px);
    line-height: 1.4;
    width: 100%;
    padding: 0px;
    border-radius: 40px;
    height: 48px;
    font-size: 16px;
    line-height: 28px;
    outline: 0px;
    overflow: hidden;
    padding: 0px 0px 0px 4px;
    text-overflow: ellipsis;
}
button {
    -webkit-box-align: center;
    align-items: center;
    background-image: none;
    cursor: pointer;
    display: inline-flex;
    gap: 8px;
    -webkit-box-pack: center;
    justify-content: center;
    line-height: 1;
    touch-action: manipulation;
    transition: background-color 100mscubic-bezier(0.5, 0, 0.2, 1), color 100mscubic-bezier(0.5, 0, 0.2, 1), border-color 100mscubic-bezier(0.5, 0, 0.2, 1);
    user-select: none;
    white-space: nowrap;
    vertical-align: middle;
    font-size: 16px;
    border-radius: 40px;
    border: 1px solid rgb(26, 24, 22);
    text-decoration: none;
    height: 48px;
    padding: 0px 24px;
    font-weight: 500;
    color: rgb(26, 24, 22);
    background-color: rgb(255, 255, 255);
}

button:hover {
    color: #007bff;
    border-color: #007bff;
}
.search-filters button {
    min-width: 150px;
}